Name:          jmxutils
Version:       1.19
Release:       3%{?dist}
Summary:       JMX MBean Utilities
# https://github.com/martint/jmxutils/issues/35
License:       ASL 2.0
URL:           https://github.com/martint/jmxutils/
Source0:       https://github.com/martint/jmxutils/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(com.google.inject.extensions:extensions-parent:pom:)
BuildRequires: mvn(com.google.inject.extensions:guice-multibindings)
BuildRequires: mvn(com.thoughtworks.paranamer:paranamer)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Collection of generic utility methods to support JMX MBean.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete

# Unneeded task
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
# Disable guava, and paranamer copy
%pom_remove_plugin :maven-shade-plugin

# java.lang.NoClassDefFoundError: net/sf/cglib/proxy/CallbackFilter
%pom_add_dep cglib:cglib:3.1:test

%mvn_file org.weakref:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Apr 10 2016 gil cattaneo <puntogil@libero.it> 1.19-1
- update to 1.19

* Sun Dec 20 2015 gil cattaneo <puntogil@libero.it> 1.18-1
- update to 1.18

* Sat Dec 07 2013 gil cattaneo <puntogil@libero.it> 1.14-1
- initial rpm
